:root {
    --main-grey: #111111;
    --white: #FFFFFF;
    --black:#000000;   
    --gray:#AAAAAA; 
    --nav-height: 41px;
}


html {
    font-size: 14px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0 5px;
    background: var(--black);
}


nav {
    --gray: #CCCCCC;
    margin: 0;
    font-size: 1.5rem;
    background: var(--gray);
    height: var(--nav-height);    
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    width: 1000px;
    margin: auto;
}

nav ul li {
    display: inline-block;
}

nav ul li a {
    display: inline-block;
    padding: 10px 20px;
    color:var(--black);
    text-decoration: none;
}

nav ul li a:hover {
    color: white;
    background: var(--gray);
    text-decoration: underline;
} 

nav ul li a:active {
    color: cyan;
}

nav ul li::before {
    content: "";
    border: 1px solid var(--main-grey);
}

nav:last-child {
    background-color: var(--white);
}
.top-video {
    position: relative;
    width: 1000px;
    margin: auto;
    z-index: 0;
}

.top-video h1 {
    color: var(--white);
    font-size: 40px;
    position: absolute;
}

.top-video video {
   height: calc(100vh - var(--nav-height));
   margin: auto;
   display: block;
}

main {
    background: var(--white);
}

.section {
    clear: left;
    z-index: 0;
}

.section-title {
    margin: 5px;
    font-size: 28px;
    border-bottom: 1px solid var(--main-grey);
}

p {
    padding: 5px;
}

.section .section-img {
    float: left;
    display: block;
    border: 1px solid var(--main-grey);
    margin: 0 10px 0 0;
    border-radius: 25px;
    padding: 5px;
    position: relative;
    overflow: hidden;    
}
.section .section-img img {
    border-radius: 25px;
    width: 200px;
}

.img-overlay {
    position: absolute;
    top: 0;
    bottom: 0;   
    left: 0; 
    right: 0;  
    background: rgba(0,0,0,0.5);
    color: var(--white);
    text-align: center; 
    padding-top: 40%;   
    display: none;   
}

figure img{
    width:250px
}

.section .section-img:hover .img-overlay {
    display: block;
}

.boxes {
    display: flex;
    flex-wrap: wrap;
}

.box-present {
    box-sizing: border-box;
    width: 100px;
    height: 100px;
    border: 10px solid var(--gray);
    padding: 15px;
    margin: 15px;
    background: var(--black);
}

.box-present:first-child {
    flex-grow: 3;
}

.web {
    display: flex;
    flex-direction: column;

}

.main-parent {
    display: flex;
    flex-direction: row-reverse;
}

.header {
    background-color: red;
    height: 40px;
}
.main {
    background-color: green;
    width: 85%;
    height: 1000px;
    
}
.right-menu {
    background-color:blue;
    
    display: inline-block;
    width: 15%;
}
.footer {
    background-color:brown;
    height: 40px;
    clear: both;
}
.table-layout {
    width: 100%;
}
/*.play-with-positioning div {
    background: red;
    position: absolute;
    top:0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10;
    opacity: 0.5;
}

.play-with-positioning input{
    visibility: hidden;
    position: absolute;
    top:0;
}

.play-with-positioning label {
    position: absolute;
    right: 20px;
    top:5px;
    z-index: 11;
    font-size: 50px;
    color:white;
    cursor: pointer;
}

.play-with-positioning input:checked ~ div, .play-with-positioning input:checked ~ label  {
    display: none;
}*/